Edit an appointment
curl --request PATCH \
--url https://api.qminder.com/v1/appointments/{ticketId} \
--header 'Content-Type: application/json' \
--header 'X-Qminder-API-Version: <x-qminder-api-version>' \
--header 'X-Qminder-REST-API-Key: <api-key>' \
--data '
{
"startTime": "2024-12-15T11:00:00Z",
"endTime": "2024-12-15T11:30:00Z"
}
'import requests
url = "https://api.qminder.com/v1/appointments/{ticketId}"
payload = {
"startTime": "2024-12-15T11:00:00Z",
"endTime": "2024-12-15T11:30:00Z"
}
headers = {
"X-Qminder-API-Version": "<x-qminder-api-version>",
"X-Qminder-REST-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'X-Qminder-API-Version': '<x-qminder-api-version>',
'X-Qminder-REST-API-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({startTime: '2024-12-15T11:00:00Z', endTime: '2024-12-15T11:30:00Z'})
};
fetch('https://api.qminder.com/v1/appointments/{ticketId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Appointments
Edit an appointment
Updates an appointment’s time slot or assignee. Only include fields you want to change.
PATCH
/
v1
/
appointments
/
{ticketId}
Edit an appointment
Authorizations
Headers
API version. Must be set to 2020-09-01.
Available options:
2020-09-01 Path Parameters
ID of the appointment ticket to update
Body
application/json
Response
Appointment updated successfully
⌘I